## ladspa-sdk 1.13

=== debian/changelog ===
ladspa-sdk (1.13-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Use only 3 digits precision on debian-policy version.
  * Add git-buildpackage config file.
  * Switch to CDBS.
  * Switch to 3.0 (quilt) source format.
  * Rework makefile patches.

  [ Alessio Treglia ]
  * Correct linking order to fix FTBFS with GCC4.5 + binutils-gold.

  [ Jaromír Mikeš ]
  * Added myself as uploader.
  * Added patch fixing include.
  * Set dh/compat 9.
  * Added .gitignore file.
  * Added local-option file.
  * Added watch file.
  * Fix VCS canonical URLs.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 15 Jun 2013 12:11:43 +0200

ladspa-sdk (1.13-1) unstable; urgency=low

  * Imported Upstream version 1.13
    - No more mismatched free/delete. Closes: #342156, #561560
  * Set Debian Multimedia Maintainers as maintainer. Closes: #520269
  * Switch from dpatch to quilt
  * Drop patch 03_gcc41, not needed anymore
  * Switch to debhelper compat level 7
  * Split the debian patch into logical changes
  * Add misc:Depends to Depends line
  * Build-Depend on debhelper >= 7
  * Bump standards version, no changes needed
  * Note use of quilt for patches
  * Fix build error with git-buildpackage
  * Fix doc-base section
  * Remove extra whitespace
  * Remove useless dir file
  * Add Vcs-* fields
  * Drop versioned build-depends on g++, required version in oldstable
  * Fix linkage of C plugins
  * Clarify copyright.
  * Explicitly use 1.0 source format
  * Add homepage field

 -- Felipe Sateler <fsateler@debian.org>  Tue, 29 Jun 2010 13:31:44 -0400

ladspa-sdk (1.1-6) unstable; urgency=low

  * wrong symlink installed, install a better symlink for ladspa.h.txt.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 May 2007 08:27:45 +0900

ladspa-sdk (1.1-5) unstable; urgency=low

  * Bug fix: "ladspa-sdk: Broken link in documentation", thanks to Reuben
    Thomas (Closes: #422377).
    Install ladspa.h.txt
  * add pbuilder-test.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 May 2007 08:21:44 +0900

ladspa-sdk (1.1-4.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/03_gcc41.dpatch: add patch from Ben Hutchings to declare friend
    functions (closes: #355989)

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 27 May 2006 13:49:24 +0200

ladspa-sdk (1.1-4) unstable; urgency=low

  * m68k ICE workaround; reduce optimization to -O2 from -O3
    02_m68k_workaround.dpatch (closes: #328285)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 15 Sep 2005 06:58:48 +0900

ladspa-sdk (1.1-3) unstable; urgency=low

  * recompile with gcc-4.0
  - only plugins are affected, does not really affect packages Build-Depending on this package.
  * standards-version 3.6.2
  * use dpatch to maintain Debian patch.
  - 01_debian-patch: the Debian patch.
  
 -- Junichi Uekawa <dancer@debian.org>  Sat, 20 Aug 2005 11:05:43 +0900

ladspa-sdk (1.1-2) unstable; urgency=low

  * recompile with gcc-3.3
  * update debian/copyright
  * update standards-version
  * link plugins against libc and other necessary libs.

 -- Junichi Uekawa <dancer@debian.org>  Thu,  3 Jul 2003 23:23:29 +0900

ladspa-sdk (1.1-1) unstable; urgency=low

  * New upstream release 
  * forward-port local hack to check /usr/lib/ladspa even if env variable is
    not set

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Sep 2002 18:52:31 +0900

ladspa-sdk (1.0.LGPL-7) unstable; urgency=low

  * fixed manpage. - is escaped with a backslash.
  * fixing the control dependency wrt ladspa-sdk-dev

 -- Junichi Uekawa <dancer@debian.org>  Wed,  8 Aug 2001 19:20:34 +0900

ladspa-sdk (1.0.LGPL-6) unstable; urgency=low

  * removed ladspa-sdk-dev. It should not enter woody, as released.
    The compatibility package has existed long enough in testing,
    I assume I don't need it included in stable.
    (closes: #105982)
  * fixed a typo that I thought I have already fixed.
    (closes: #103113)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 20 Jul 2001 23:50:54 +0900

ladspa-sdk (1.0.LGPL-5) unstable; urgency=low

  * mkdirhier is in xutils, and use mkdir -p instead in the upstream
    makefile. (closes: #103476)
    Thanks go to wouter@debian.org.
  * changed upstream makefile so that -Wall and -Werror is removed.
    These flags should not have been there...

 -- Junichi Uekawa <dancer@debian.org>  Thu,  5 Jul 2001 00:22:10 +0900

ladspa-sdk (1.0.LGPL-4) unstable; urgency=low

  * <cae@bklyn.org> reported that doc-base file has a typo. Fixed.
    (closes: #103113)
  * does not demand that LADSPA_PATH environmental variable to be set
    (closes: #103271)

 -- Junichi Uekawa <dancer@debian.org>  Tue,  3 Jul 2001 15:19:57 +0900

ladspa-sdk (1.0.LGPL-3) unstable; urgency=low

  * integrates ladspa-sdk-dev into ladspa-sdk since ladspa-sdk-dev is
    really an unnecessary package. ladspa-sdk-dev is an empty package
    depending on ladspa-sdk now. (closes: #98809)
  * policy 3.5.5, finally making plugins a legal entity...

 -- Junichi Uekawa <dancer@debian.org>  Fri,  8 Jun 2001 21:02:21 +0900

ladspa-sdk (1.0.LGPL-2) unstable; urgency=low

  * Adds more documentation, installs documentation properly to ladspa-sdk-dev, adds manpages. (closes: #97213)
  * debian/rules: cleaned up the rules.
  * debian/rules, debian/{listplugins.1,analyseplugin.1,applyplugin.1}:
    Install debian version of manpages.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 14 May 2001 18:52:44 +0900

ladspa-sdk (1.0.LGPL-1) unstable; urgency=low

  * Initial Release. (closes: #90949)

 -- Junichi Uekawa <dancer@debian.org>  Wed,  9 May 2001 20:20:08 +0900
