=== debian/control ===
Source: ladspa-sdk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 9)
Standards-Version: 3.9.4
Uploaders:
 Felipe Sateler <fsateler@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ladspa-sdk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ladspa-sdk.git
Homepage: http://www.ladspa.org/

Package: ladspa-sdk
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-host,
 ladspa-plugin,
 ladspa-sdk-dev
Conflicts:
 ladspa-sdk-dev
Description: sample tools for linux-audio-dev plugin architecture
 LADSPA is a free standard specification for audio effect plugins.
 .
 Contains sample plugins, and analyseplugin, listplugin, applyplugin
 programs, and the ladspa.h, the LADSPA specification.
 .
 Please build-depend on this package if you need ladspa.h
