## ladspa-sdk 1.15

=== debian/changelog ===
ladspa-sdk (1.15-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:12 +0100

ladspa-sdk (1.15-2) unstable; urgency=medium

  * Upload to unstable
  * Add autopkgtests
    Based on the old pbuilder-tests

 -- Felipe Sateler <fsateler@debian.org>  Sun, 07 Jul 2019 22:51:07 -0400

ladspa-sdk (1.15-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * New upstream version 1.15
    - Refresh standard-makefile patch, delete the rest (applied upstream)
    - Add patch to avoid stripping in installed binaries
  * Modernize debian packaging
    - Use short-form dh
    - Bump compat level to 12
    - Add Rules-Require-Root: no annotation,  as we don't need root
  * Bump Standards-Version
  * Avoid unused libraries with -Wl,--as-needed
  * Release to experimental due to freeze

 -- Felipe Sateler <fsateler@debian.org>  Sun, 14 Apr 2019 12:57:58 -0400

ladspa-sdk (1.13-3) unstable; urgency=medium

  * Patches forwarded
  * Set dh/compat 10.
  * Bump Standards.
  * Fix VCS fields.
  * Sign tags.
  * Fix hardening.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 22:13:45 +0100
