=== debian/watch ===
version=3

http://www.ladspa.org/download/ \
	ladspa_sdk_(.*)\.tgz
