## ladspa-sdk 1.17

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 
 INCLUDES	=	-I.
-LIBRARIES	=	-ldl -lm
+LIBRARIES	=	-ldl -lm -lsndfile
 CFLAGS		=	$(INCLUDES) -Wall -Werror -O2 -fPIC 		\
 			-DDEFAULT_LADSPA_PATH=$(INSTALL_PLUGINS_DIR)
 BINFLAGS	=	-fPIE -pie
