=== debian/changelog ===
ladspa-sdk (1.17-2) unstable; urgency=medium

  * Team upload

  [ Richard Furse ]
  * debian/tests: Add gcc as dependency

  [ Sam Q ]
  * Add ./index.html to the end of first url

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
  * debian/rules: Remove cruft from cdbs

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Dec 2025 11:00:59 +0100

ladspa-sdk (1.17-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update control (http -> https)
  * Update copyright (http -> https)
  * Update rules (remove 1 empty line)
  * Update watch (http -> https)

  [ Felipe Sateler ]
  * Remove myself from uploaders

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Dennis Braun ]
  * New upstream version 1.17
  * Refresh patchset
  * Add libsndfile1-dev to B-Ds
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.0
  * Add myself as uploader
  * Update d/watch file

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 04 Oct 2021 22:38:01 +0200
