=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	mkdir -p plugins bin
	dh_auto_build -- targets

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/ladspa-sdk \
        INSTALL_PLUGINS_DIR=$(CURDIR)/debian/ladspa-sdk/usr/lib/ladspa/ \
        INSTALL_INCLUDE_DIR=$(CURDIR)/debian/ladspa-sdk/usr/include/ \
        INSTALL_BINARY_DIR=$(CURDIR)/debian/ladspa-sdk/usr/bin/

# Tests require humans
override_dh_auto_test:
