=== debian/tests/control ===
Tests: listplugins, ladspah
Depends: ladspa-sdk, gcc
