=== debian/watch ===
version=4
http://www.ladspa.org/download/index.html \
	ladspa_sdk_(.*)\.tgz
